Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class LinkElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<LinkElem>
                      sharin.doc.builder.xhtml1.LinkElem

    public class LinkElem

extends GenericCommonElem<LinkElem>

Constructor Summary
`LinkElem(Object... nodes)`

Method Summary
`LinkElem` | `charset(Object value)`
`LinkElem` | `href(Object value)`
`LinkElem` | `hreflang(Object value)`
`LinkElem` | `media(Object value)`
`LinkElem` | `rel(Object value)`
`LinkElem` | `rev(Object value)`
`LinkElem` | `target(Object value)`
`LinkElem` | `type(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkElem

    public LinkElem(Object... nodes)

Method Detail

### charset

    public LinkElem charset(Object value)

### href

    public LinkElem href(Object value)

### hreflang

    public LinkElem hreflang(Object value)

### media

    public LinkElem media(Object value)

### rel

    public LinkElem rel(Object value)

### rev

    public LinkElem rev(Object value)

### target

    public LinkElem target(Object value)

### type

    public LinkElem type(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.